import { EddsaInterface, Keypair, Pda, PublicKey, PublicKeyInput } from '@lorisleiva/js-core';
export declare class Web3JsEddsa implements EddsaInterface {
    generateKeypair(): Keypair;
    createKeypairFromSecretKey(secretKey: Uint8Array): Keypair;
    createKeypairFromSeed(seed: Uint8Array): Keypair;
    createPublicKey(input: PublicKeyInput): PublicKey;
    createDefaultPublicKey(): PublicKey;
    isOnCurve(input: PublicKeyInput): boolean;
    findPda(programId: PublicKeyInput, seeds: Uint8Array[]): Pda;
    sign(message: Uint8Array, keypair: Keypair): Uint8Array;
    verify(message: Uint8Array, signature: Uint8Array, publicKey: PublicKey): boolean;
}
